# Class CIM_PolicyRepositoryInPolicyRepository
extends CIM_SystemComponent

The term 'PolicyRepository' has been confusing to both developers and users of the model. The replacement class name describes model element properly and is less likely to be confused with a data repository. ContainedDomain is a general purpose mechanism for expressing domain hierarchy. A relationship that aggregates one or more lower-level PolicyRepositories into a higher-level Repository.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_PolicyRepositoryInPolicyRepository

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_PolicyContainerInPolicyContainer

Description

string

The term 'PolicyRepository' has been confusing to both developers and users of the model. The replacement class name describes model element properly and is less likely to be confused with a data repository. ContainedDomain is a general purpose mechanism for expressing domain hierarchy. A relationship that aggregates one or more lower-level PolicyRepositories into a higher-level Repository.

UMLPackagePath | string | CIM::Policy
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PolicyRepositoryInPolicyRepository | CIM_PolicyRepository
PartComponent | CIM_PolicyRepositoryInPolicyRepository | CIM_PolicyRepository

## Class Methods